package jalview.io;

import jalview.datamodel.Alignment;
import jalview.datamodel.Sequence;

import java.io.IOException;

import org.junit.Test;

import com.json.JSONException;

public class BioJsHTMLOutputTest
{


  @Test
  public void getJalviewAlignmentAsJsonString()
  {
    BioJsHTMLOutput bioJsHtmlOuput = new BioJsHTMLOutput(null, null);
    bioJsHtmlOuput.setGlobalColorScheme("Zappo");

    Sequence[] seqs = new Sequence[1];
    Sequence seq = new Sequence("name", "ABCDEFGHIJKLMNOPQRSTUVWXYZ", 1, 26);
    // SequenceFeature seqFeature = new SequenceFeature("type", "desc",
    // "status", 1, 5, "jalview");
    // seq.addSequenceFeature(seqFeature);
    seq.setDatasetSequence(seq);
    seqs[0] = seq;

    Alignment al = new Alignment(seqs);
    try
    {
      String generatedJson = bioJsHtmlOuput
              .getJalviewAlignmentAsJsonString(al);
      assert (generatedJson
              .equalsIgnoreCase("{\"globalColorScheme\":\"zappo\",\"seqs\":[{\"id\":\"1\",\"start\":1,\"name\":\"name/1-26\",\"features\":[],\"seq\":\"ABCDEFGHIJKLMNOPQRSTUVWXYZ\",\"end\":26}]}"));
      System.out.println("Output : " + generatedJson);
    } catch (IOException e)
    {
      e.printStackTrace();
    } catch (JSONException e)
    {
      e.printStackTrace();
    }
  }

}
